UCS Update 2.4-3.0 posixGroup und groupOfNames Problem

german

#1

Hallo wir wollen einen UCS von 2.4.4.9 auf 3.0.0 updaten. Allerdings stoppt das Update direkt wieder mit dem Fehler das der slapd nicht geupdatet werden kann. Das Problem scheinen die beiden Objectklassen posixGroup und groupOfNames auszulösen. Der UCS wird schon seit Version 1 mit Updates hochgezogen.

Fehlermeldung aus dem updater.log:

slapadd: dn=“cd=av,cn=groups,dc=example,dc=de” (line=8239): (65) invalid structural object class chain (posixGroup/groupOfNames)

Was können wir tun?


#2

Hallo,

ich wüsste nicht dass groupOfNames in UCS standardmäßig verwendet wurde, haben Sie die betroffenen LDAP-Objekte manuell um diese Objektklasse erweitert?
Wenn ich das richtig sehe ist groupOfNames, zumindest aktuell, eine structural objectClass. Da ein Objekt nur jeweils nur von einem Typ sein kann (posixGroup ist ebenfalls structural), erhalten Sie die entsprechende Fehlermeldung.

Mit freundlichen Grüßen
Janis Meybohm